#pragma once

#include "devices/DeviceTypes.h"
#include "devices/base/IDevice.h"

namespace softbus::devices::base
{

class IPhysicalDevice : public IDevice
{
public:
    ~IPhysicalDevice() override = default;

    virtual bool start() = 0;
    virtual void stop() = 0;
};

} // namespace softbus::devices::base

